/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.8 (2011/10/23)
 * Compatibility : Guppy v4.6.17+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
*/

/**
 * Permet l'insertion des smileys de guppy dans l'diteur
 * 
 * @param string Nom de l'diteur
 * @param string Chemin du smiley
 * @param string Attribut alt
 * @param integer Largeur du smiley
 * @param integer Hauteur du smiley
 *
 * @return string
 */
function insert_smiley_in_editor(instanceName, src, alt, width, height)
{
    if (typeof(CKEDITOR) === 'object') {
        insert_smiley_in_CKEditor(instanceName, src, alt, width, height);
	} else if (typeof(FCKeditorAPI) === 'object') {
		insert_smiley_in_FCKEditor(instanceName, src, alt, width, height);
	} else {
	   return false;
	}
};

// --------------------------------------------------------------------

/**
 * Permet l'insertion des smileys de guppy dans l'diteur CKEditor
 * 
 * @param string Nom de l'diteur
 * @param string Chemin du smiley
 * @param string Attribut alt
 * @param integer Largeur du smiley
 * @param integer Hauteur du smiley
 * @return string
 */
function insert_smiley_in_CKEditor(instanceName, src, alt, width, height)
{
    var oEditor = CKEDITOR.instances[instanceName];
	
	if ( oEditor.mode == "wysiwyg") {
		var img = "<img src=\""+src+"\" alt=\""+alt+"\" style=\"width:"+width+"px; height:"+height+"px; border:0px solid;\" />";
        
        oEditor.insertHtml(img);
	} else {
		return false;
	}
};

// --------------------------------------------------------------------

/**
 * Permet l'insertion des smileys de guppy dans l'diteur FCKEditor
 * 
 * @param string Nom de l'diteur
 * @param string Chemin du smiley
 * @param string Attribut alt
 * @param integer Largeur du smiley
 * @param integer Hauteur du smiley
 * @return string
 */
function insert_smiley_in_FCKEditor(instanceName, src, alt, width, height)
{
	var oEditor = FCKeditorAPI.GetInstance(instanceName);
	
	if (oEditor.EditMode == FCK_EDITMODE_WYSIWYG) {
		oImg = oEditor.CreateElement( "IMG" );
		oImg.src = src ;
		oImg.setAttribute("_fcksavedurl", src) ;
		oImg.alt = alt;
		oImg.title = alt;
		oImg.width = width;
		oImg.height = height;
		oImg.border = 0;
	} else {
		return false;
	}
};

// --------------------------------------------------------------------
